package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.ast.expr.SQLIntegerExpr;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableBlockSize extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLIntegerExpr size;

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.size);
      }

      visitor.endVisit(this);
   }

   public SQLIntegerExpr getSize() {
      return this.size;
   }

   public void setSize(SQLIntegerExpr size) {
      if (size != null) {
         size.setParent(this);
      }

      this.size = size;
   }
}
